Users
bearerAuthAuthorizationBearer <JWT>Profil
application/json- response
id*stringuuidemail*stringemailloginName?string|nulldisplayName?string|nullfirstName?|length <= 80lastName?|length <= 80role*string"user""admin"status*string"active""disabled"locale?string"de"timezone?string"Europe/Berlin"themeMode?string"light""dark""system"totpEnabled?booleantotpRequired?booleanpasskeyEnabled?booleanhasPassword?booleanforcePasswordChange?booleanonboardingCompleted?booleanfalse: beim Login den Einrichtungsassistenten zeigen
lastLoginAt?|date-timecreatedAt*stringdate-timeupdatedAt?stringdate-timecurl -X GET 'https://example.com/api/v1/users/me'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "email": "user@example.com", "loginName": "string", "displayName": "string", "firstName": "string", "lastName": "string", "role": "user", "status": "active", "locale": "de", "timezone": "Europe/Berlin", "themeMode": "light", "totpEnabled": true, "totpRequired": true, "passkeyEnabled": true, "hasPassword": true, "forcePasswordChange": true, "onboardingCompleted": true, "lastLoginAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}bearerAuthAuthorizationBearer <JWT>application/json- body
loginName?string|nulldisplayName?string|nulllocale?stringAktualisiertes Profil
application/json- response
id*stringuuidemail*stringemailloginName?string|nulldisplayName?string|nullfirstName?|length <= 80lastName?|length <= 80role*string"user""admin"status*string"active""disabled"locale?string"de"timezone?string"Europe/Berlin"themeMode?string"light""dark""system"totpEnabled?booleantotpRequired?booleanpasskeyEnabled?booleanhasPassword?booleanforcePasswordChange?booleanonboardingCompleted?booleanfalse: beim Login den Einrichtungsassistenten zeigen
lastLoginAt?|date-timecreatedAt*stringdate-timeupdatedAt?stringdate-timecurl -X PUT 'https://example.com/api/v1/users/me' \ -H 'Content-Type: application/json' \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "email": "user@example.com", "loginName": "string", "displayName": "string", "firstName": "string", "lastName": "string", "role": "user", "status": "active", "locale": "de", "timezone": "Europe/Berlin", "themeMode": "light", "totpEnabled": true, "totpRequired": true, "passkeyEnabled": true, "hasPassword": true, "forcePasswordChange": true, "onboardingCompleted": true, "lastLoginAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}bearerAuthAuthorizationBearer <JWT>application/json- body
currentPassword*stringpasswordnewPassword*stringpassword8 <= lengthPasswort geändert
curl -X PUT 'https://example.com/api/v1/users/me/password' \ -H 'Content-Type: application/json' \ -d '{ "currentPassword": "pa$$word", "newPassword": "pa$$word"}'bearerAuthAuthorizationBearer <JWT>Successful response
curl -X PATCH 'https://example.com/api/v1/users/me/profile'bearerAuthAuthorizationBearer <JWT>Successful response
curl -X POST 'https://example.com/api/v1/users/me/home-location/search'bearerAuthAuthorizationBearer <JWT>Successful response
curl -X POST 'https://example.com/api/v1/users/me/home-location/reverse'bearerAuthAuthorizationBearer <JWT>Successful response
curl -X DELETE 'https://example.com/api/v1/users/me/home-location'bearerAuthAuthorizationBearer <JWT>Successful response
curl -X PUT 'https://example.com/api/v1/users/me/home-location'bearerAuthAuthorizationBearer <JWT>Successful response
curl -X DELETE 'https://example.com/api/v1/users/me/work-location'bearerAuthAuthorizationBearer <JWT>Successful response
curl -X PUT 'https://example.com/api/v1/users/me/work-location'bearerAuthAuthorizationBearer <JWT>Verbindungsstatus (der API-Key wird nie zurückgegeben)
application/json- response
connected*booleanbaseUrl?stringapiKeyHint?stringLetzte vier Zeichen des API-Keys
email?stringE-Mail des Dawarich-Kontos
version?stringVersion der Dawarich-Instanz
verifiedAt?stringdate-timelastError?stringupdatedAt?stringdate-timecurl -X GET 'https://example.com/api/v1/users/me/dawarich'{ "connected": true, "baseUrl": "string", "apiKeyHint": "string", "email": "string", "version": "string", "verifiedAt": "2019-08-24T14:15:22Z", "lastError": "string", "updatedAt": "2019-08-24T14:15:22Z"}bearerAuthAuthorizationBearer <JWT>Verbindung entfernt
curl -X DELETE 'https://example.com/api/v1/users/me/dawarich'Prüft die Zugangsdaten über GET /api/v1/users/me der Dawarich-Instanz und speichert
sie nur bei Erfolg. Der API-Key steht in Dawarich unter Account → API-Key und wird
verschlüsselt gespeichert. Ohne apiKey bleibt ein bereits gespeicherter Schlüssel.
bearerAuthAuthorizationBearer <JWT>application/json- body
baseUrl*stringapiKey?stringGespeicherte Verbindung
application/json- response
connected*booleanbaseUrl?stringapiKeyHint?stringLetzte vier Zeichen des API-Keys
email?stringE-Mail des Dawarich-Kontos
version?stringVersion der Dawarich-Instanz
verifiedAt?stringdate-timelastError?stringupdatedAt?stringdate-timecurl -X PUT 'https://example.com/api/v1/users/me/dawarich' \ -H 'Content-Type: application/json' \ -d '{ "baseUrl": "string"}'{ "connected": true, "baseUrl": "string", "apiKeyHint": "string", "email": "string", "version": "string", "verifiedAt": "2019-08-24T14:15:22Z", "lastError": "string", "updatedAt": "2019-08-24T14:15:22Z"}bearerAuthAuthorizationBearer <JWT>Verbindung funktioniert
application/json- response
connected*booleanbaseUrl?stringapiKeyHint?stringLetzte vier Zeichen des API-Keys
email?stringE-Mail des Dawarich-Kontos
version?stringVersion der Dawarich-Instanz
verifiedAt?stringdate-timelastError?stringupdatedAt?stringdate-timecurl -X POST 'https://example.com/api/v1/users/me/dawarich/test'{ "connected": true, "baseUrl": "string", "apiKeyHint": "string", "email": "string", "version": "string", "verifiedAt": "2019-08-24T14:15:22Z", "lastError": "string", "updatedAt": "2019-08-24T14:15:22Z"}bearerAuthAuthorizationBearer <JWT>Successful response
curl -X GET 'https://example.com/api/v1/export/data'bearerAuthAuthorizationBearer <JWT>Successful response
curl -X POST 'https://example.com/api/v1/import/data'Setzt onboardingCompleted des eigenen Kontos. Clients zeigen den
Einrichtungsassistenten, solange der Wert false ist.
bearerAuthAuthorizationBearer <JWT>Aktualisiertes Profil
application/json- response
id*stringuuidemail*stringemailloginName?string|nulldisplayName?string|nullfirstName?|length <= 80lastName?|length <= 80role*string"user""admin"status*string"active""disabled"locale?string"de"timezone?string"Europe/Berlin"themeMode?string"light""dark""system"totpEnabled?booleantotpRequired?booleanpasskeyEnabled?booleanhasPassword?booleanforcePasswordChange?booleanonboardingCompleted?booleanfalse: beim Login den Einrichtungsassistenten zeigen
lastLoginAt?|date-timecreatedAt*stringdate-timeupdatedAt?stringdate-timecurl -X POST 'https://example.com/api/v1/users/me/onboarding'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "email": "user@example.com", "loginName": "string", "displayName": "string", "firstName": "string", "lastName": "string", "role": "user", "status": "active", "locale": "de", "timezone": "Europe/Berlin", "themeMode": "light", "totpEnabled": true, "totpRequired": true, "passkeyEnabled": true, "hasPassword": true, "forcePasswordChange": true, "onboardingCompleted": true, "lastLoginAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}